package dao;

import java.util.List;

import trip.Company;
import trip.Route;
import trip.Stop;

public interface RouteDAO extends GenericDao<Route> {
	List<Route> getByCompany(Company company);
	List<Route> getByStops(Stop departure, Stop arrival);
	void update(Route route);
	List<Route> getActive();
}
